# loki.transformations.parallel.tests.test_field_views

Functions

`test_field_api_add_view_updates`(frontend) | A simple test for `add_field_api_view_updates`.
`test_field_api_call_namegen`(transfer_type) | Test the correct generation of FIELD_API calls.
`test_field_api_remove_view_updates`(caplog, ...) | A simple test for `remove_field_api_view_updates`
`test_field_get_data`(field_get_fn) |
`test_field_sync`(field_sync_fn) |
`test_get_field_type`() |

test_field_api_remove_view_updates(caplog, frontend)

  A simple test for `remove_field_api_view_updates`

test_field_api_add_view_updates(frontend)

  A simple test for `add_field_api_view_updates`.

test_get_field_type()

test_field_api_call_namegen(transfer_type)

  Test the correct generation of FIELD_API calls.

test_field_get_data(field_get_fn)

test_field_sync(field_sync_fn)